1. Raiz
FlamPix Gateway API
  • ๐Ÿ“œ API Overview
  • โš ๏ธ API Base URL Migration Notice โš ๏ธ
  • Docs
    • ๐Ÿ”‘ Authentication & HMAC Signing
    • ๐Ÿช Webhook
    • ๐Ÿงต Deposit Status Strings
    • ๐Ÿšฆ API Limits
  • Raiz
    • Create Deposit
      POST
    • Get Deposit Status
      GET
    • Get User Info
      GET
    • Health Check
      GET
    • Transaction Status Update
  • Schemas
    • Customer
    • DepositRequest
    • DepositResponse
    • UserInfoResponse
    • WebhookPayload
  1. Raiz

Create Deposit

POST
/deposits
Creates a new PIX deposit with automatic conversion to DePix.

Request

Authorization
Add parameter in query
FLAMPIX_API_SECRET
Example:
FLAMPIX_API_SECRET: ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

๐ŸŸข200
application/json
Deposit created successfully.
Body

๐ŸŸ 400
๐ŸŸ 401
๐ŸŸ 422
๐ŸŸ 429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/deposits' \
--header 'X-Idempotency-Key: {{$guid}}' \
--header 'X-FlamPix-Signature: {{X-FlamPix-Signature}}' \
--header 'X-FlamPix-Timestamp: {{X-FlamPix-Timestamp}}' \
--header 'X-FlamPix-Key: {{FLAMPIX_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amountInCents": 15001,
    "destinationAddress": "lq1qqw70vdz3d0gwd22apf9e3y2asscrfaghajqse43707dds389l5ww28wvqsl728k0av6rgv26lpznr0cs9vr6ztcqv8g7w68ta",
    "customer": {
        "name": "Silva 2"
    },
    "reference": "teste_apidog_01"
}'
Response Response Example
{
    "depositId": "33504022-daeb-4ddf-96f2-fc15aa4e6a52",
    "status": "awaiting_payment",
    "amount": {
        "grossInCents": 0,
        "feeInCents": 0,
        "netInCents": 0
    },
    "pix": {
        "qrCopyPaste": "string",
        "qrImageUrl": "http://example.com"
    },
    "feeBreakdown": {
        "percentInCents": 0,
        "fixedInCents": 0,
        "gatewayInCents": 0,
        "totalInCents": 0
    },
    "createdAt": "2019-08-24T14:15:22.123Z"
}
Modified atย 2025-12-23 02:20:44
Previous
Raiz
Next
Get Deposit Status
Built with